View Issue Details

IDProjectCategoryView StatusLast Update
0004535Kali Linux[All Projects] General Bugpublic2018-07-27 09:11
ReportertanujboyAssigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2018.1 
Target VersionFixed in Version2018.3 
Summary0004535: Failed to start Network Time Synchronization.
DescriptionI am using Kali 2018.1 on a USB as a persistence. Whenever the system boots up, I see a failed operation the states "Failed to start Network Time Synchronization."
Steps To ReproduceBoot the system. Tested only on persistence.
Additional InformationLog for "systemctl status systemd-timesyncd":

‚óŹ systemd-timesyncd.service - Network Time Synchronization
   Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Sun 2018-02-11 18:46:39 IST; 12min ago
     Docs: man:systemd-timesyncd.service(8)
  Process: 2310 ExecStart=/lib/systemd/systemd-timesyncd (code=exited, status=1/FAILURE)
 Main PID: 2310 (code=exited, status=1/FAILURE)
   Status: "Shutting down..."

Feb 11 18:46:39 kali systemd[1]: systemd-timesyncd.service: Service has no hold-off time, scheduling restart.
Feb 11 18:46:39 kali systemd[1]: systemd-timesyncd.service: Scheduled restart job, restart counter is at 5.
Feb 11 18:46:39 kali systemd[1]: Stopped Network Time Synchronization.
Feb 11 18:46:39 kali systemd[1]: systemd-timesyncd.service: Start request repeated too quickly.
Feb 11 18:46:39 kali systemd[1]: systemd-timesyncd.service: Failed with result 'exit-code'.
Feb 11 18:46:39 kali systemd[1]: Failed to start Network Time Synchronization.

Activities

re4son

2018-02-12 02:43

reporter   ~0008656

Change "236" in systemd enables "DynamicUser", which requires package "libnss-systemd" or the manual creation of user and group "systemd-timesync".

I installed "libnss-systemd" and the error disappeared without any side-effects.

Source: https://github.com/systemd/systemd/blob/master/NEWS

tanujboy

2018-02-12 02:58

reporter   ~0008657

I can confirm that installing "libnss-systemd" solves the issue. Please add this package to the others that come pre-installed in Kali. Thank you re4son.

rhertzog

2018-02-12 10:21

administrator   ~0008661

This is https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=887343 which has been fixed in systemd 236-4 (not yet in testing and thus not in Kali). We will just wait until the fixed package migrates to Kali.

rhertzog

2018-07-27 09:11

administrator   ~0009389

We have systemd 239-7 so this should be fixed now.

Issue History

Date Modified Username Field Change
2018-02-11 13:41 tanujboy New Issue
2018-02-12 02:43 re4son Note Added: 0008656
2018-02-12 02:58 tanujboy Note Added: 0008657
2018-02-12 10:21 rhertzog Note Added: 0008661
2018-02-12 10:21 rhertzog Assigned To => rhertzog
2018-02-12 10:21 rhertzog Status new => assigned
2018-06-22 06:19 g0tmi1k Severity major => minor
2018-06-22 06:20 g0tmi1k Priority immediate => normal
2018-07-27 09:11 rhertzog Status assigned => resolved
2018-07-27 09:11 rhertzog Resolution open => fixed
2018-07-27 09:11 rhertzog Fixed in Version => 2018.3
2018-07-27 09:11 rhertzog Note Added: 0009389